# Use an official Node.js runtime as instance_a parent image
FROM node:14

# Set work directory
WORKDIR /app
RUN mkdir /git

# Install app dependencies
# A wildcard is used to ensure both package.json AND package-lock.json are copied
COPY package.json ./

COPY extras/ ./extras/
RUN npm install

CMD [ "npm", "run", "dev", "--", "--host"]
